package jfreerails.client;
import java.awt.Graphics;
import java.awt.Rectangle;
import java.awt.Point;

/**
*  Description of the Interface
*
*@author     Luke Lindsay
*@created    06 October 2001
*/


public interface TiledBackgroundPainterInterface {
    
    /**
    *  Description of the Method
    *
    *@param  g       Description of Parameter
    *@param  x       Description of Parameter
    *@param  y       Description of Parameter
    *@param  width   Description of Parameter
    *@param  height  Description of Parameter
    */
    
    public void paintBackground( java.awt.Graphics g, int x, int y, int width, int height );
    
    /**
    *  Description of the Method
    *
    *@param  mapCoord  Description of Parameter
    */
    
    public void updateTile( Point mapCoord );
    
    /**
    *  Description of the Method
    */
    
    public void refreshBackground();
    
    /**
    *  Description of the Method
    *
    *@param  g                    Description of Parameter
    *@param  newVisibleRectangle  Description of Parameter
    */
    
    public void benchmark( Graphics g, Rectangle newVisibleRectangle );
    
    /**
    *  Description of the Method
    *
    *@param  x       Description of Parameter
    *@param  y       Description of Parameter
    *@param  width   Description of Parameter
    *@param  height  Description of Parameter
    */
    
    public void paintBufferRectangle( int x, int y, int width, int height );
    
    /**
    *  Description of the Method
    *
    *@param  w  Description of Parameter
    *@param  h  Description of Parameter
    */
    
    public void setbackgroundBuffer( int w, int h );
    
    /**
    *  Description of the Method
    *
    *@param  outputGraphics          Description of Parameter
    *@param  newVisibleRectectangle  Description of Parameter
    */
    
    public void paint( java.awt.Graphics outputGraphics, Rectangle newVisibleRectectangle );
}
